## hipblaslt 7.0.2+dfsg

=== debian/changelog ===
hipblaslt (7.0.2+dfsg-1~exp1) experimental; urgency=medium

  * Update watch for 7.x
  * New upstream version 7.0.2+dfsg
  * Rebase patches

 -- Christian Bayle <bayle@debian.org>  Wed, 29 Oct 2025 23:13:09 +0100

hipblaslt (6.4.4+dfsg-1~exp1) experimental; urgency=medium

  [ Cordell Bloor ]
  * d/rules: drop incompatble build targets
  * d/rules: cleanup build tests
  * d/control: add self to uploaders
  * d/control: minor description changes
  * d/control: cleanup build dependencies
  * d/copyright: add self and trim comments
  * d/copyright: fix files excluded
  * Drop d/p/0010-expand-compatibility.patch
  * d/copyright: restore DGEMM_Aldebaran_NN_MT128x128x16_MI16x16x4x1_GRVW2_SU4_SUS128_WGM4.s
  * d/not-installed: ignore TensileManifest.txt

  [ Christian Bayle ]
  * Initial packaging upload (Closes: #1064071)
  * Add watch file
  * New upstream version 6.4.4

 -- Christian Bayle <bayle@debian.org>  Wed, 24 Sep 2025 22:55:51 +0200

hipblaslt (6.4.2+dfsg-1~exp1) unstable; urgency=medium

  * Initial packaging (Closes: #1064071)

 -- Cordell Bloor <cgmb@debian.org>  Tue, 29 Jul 2025 10:28:33 -0600

hipblaslt (5.7.1+dfsg1-1) unstable; urgency=medium

  * Initial packaging (Closes: #1064071)
    
 -- Kari Pahula <kaol@debian.org>  Sun, 10 Mar 2024 11:21:02 +0200
