=== debian/control ===
Source: hipblaslt
Section: devel
Homepage: https://github.com/ROCm/hipBLASLt
Priority: optional
Standards-Version: 4.7.2
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders: Kari Pahula <kaol@debian.org>,
           Cordell Bloor <cgmb@slerp.xyz>,
           Christian Bayle <bayle@debian.org>,
Build-Depends: debhelper-compat (= 13),
 cmake (>=4.1.2~),
 cmake-data (>=4.1.2~),
 gfortran,
 python3-all,
 python3-dev,
 python3-venv,
 python3-setuptools,
 git,
 librocm-smi-dev,
 python3-joblib,
 python3-msgpack,
 python3-yaml,
 hipcc (>=6.4.0~),
 rocm-cmake (>=6.4.0~),
 liblapack64-dev,
 libamd-comgr-dev,
 libhsa-runtime-dev (>=6.4.0~),
 libmsgpack-cxx-dev,
 libblas-dev <!nocheck>,
 libhipblas-dev,
 libhipblas-common-dev (>=6.4.0~),
 libgtest-dev <!nocheck>,
 googletest <!nocheck>,
 libblis64-openmp-dev,
 librocblas-dev (>=6.4.0~),
 python3-packaging,
 python3-simplejson,
 python3-ujson,
 python3-orjson,
 python3-distro,
 python3-nanobind,
 nanobind-dev,
 ninja-build,
 clang-tools,
 rocm-smi,
 libdrm-dev,
 pkg-rocm-tools,
Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
 python3-rocm-docs (>= 1.20.0-1~) <!nodoc>,
 libjs-mathjax <!nodoc>,
 libjs-jquery <!nodoc>,
 python3-doxysphinx <!nodoc>,
 python3-sphinx-external-toc <!nodoc>,
Rules-Requires-Root: no

Package: libhipblaslt1
Section: libs
Architecture: amd64 arm64 ppc64el
XB-X-ROCm-GPU-Architecture: ${rocm:GPU-Architecture}
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: ROCm library for extended general matrix-matrix operations - library
 hipBLASLt is a library for general matrix-matrix operations that extends
 the traditional BLAS interface to support more options controlling data
 layout, data types, and algorithm selection. The hipBLASLt library is
 implemented in the HIP programming language and is supplemented by tuned
 assembly kernels.
 .
 The hipBLASLt library helps users port code using cuBLASLt to the AMD
 ROCm platform. It is used by PyTorch for accelerating operations on
 MI200 and MI300 GPU hardware.
 .
 This package provides the AMD ROCm hipBLASLt library.

Package: libhipblaslt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
         libjs-jquery,
Description: ROCm library for extended general matrix-matrix operations - doc
 hipBLASLt is a library for general matrix-matrix operations that extends
 the traditional BLAS interface to support more options controlling data
 layout, data types, and algorithm selection. The hipBLASLt library is
 implemented in the HIP programming language and is supplemented by tuned
 assembly kernels.
 .
 The hipBLASLt library helps users port code using cuBLASLt to the AMD
 ROCm platform. It is used by PyTorch for accelerating operations on
 MI200 and MI300 GPU hardware.
 .
 This package provides the AMD ROCm hipBLASLt documentation.

Package: libhipblaslt-dev
Section: libdevel
Architecture: amd64 arm64 ppc64el
Depends: libhipblaslt1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libamdhip64-dev
Description: ROCm library for extended general matrix-matrix operations - headers
 hipBLASLt is a library for general matrix-matrix operations that extends
 the traditional BLAS interface to support more options controlling data
 layout, data types, and algorithm selection. The hipBLASLt library is
 implemented in the HIP programming language and is supplemented by tuned
 assembly kernels.
 .
 The hipBLASLt library helps users port code using cuBLASLt to the AMD
 ROCm platform. It is used by PyTorch for accelerating operations on
 MI200 and MI300 GPU hardware.
 .
 This package provides the AMD ROCm hipBLASLt development headers.

Package: libhipblaslt1-tests
Section: libdevel
Architecture: amd64 arm64 ppc64el
Depends: libhipblaslt1 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends},
         libhipblaslt1-tests-data
Build-Profiles: <!nocheck>
Description: ROCm library for extended general matrix-matrix operations - tests
 hipBLASLt is a library for general matrix-matrix operations that extends
 the traditional BLAS interface to support more options controlling data
 layout, data types, and algorithm selection. The hipBLASLt library is
 implemented in the HIP programming language and is supplemented by tuned
 assembly kernels.
 .
 The hipBLASLt library helps users port code using cuBLASLt to the AMD
 ROCm platform. It is used by PyTorch for accelerating operations on
 MI200 and MI300 GPU hardware.
 .
 This package provides the AMD ROCm hipBLASLt test binaries used for
 verifying that the library is functioning correctly. These binaries
 are only used to check whether hipBLASLt works correctly on a given
 GPU, so generally speaking, users probably don't need this package.

Package: libhipblaslt1-tests-data
Section: libdevel
Architecture: all
Depends: ${misc:Depends},
Build-Profiles: <!nocheck>
Description: ROCm library for extended general matrix-matrix operations - test data
 hipBLASLt is a library for general matrix-matrix operations that extends
 the traditional BLAS interface to support more options controlling data
 layout, data types, and algorithm selection. The hipBLASLt library is
 implemented in the HIP programming language and is supplemented by tuned
 assembly kernels.
 .
 The hipBLASLt library helps users port code using cuBLASLt to the AMD
 ROCm platform. It is used by PyTorch for accelerating operations on
 MI200 and MI300 GPU hardware.
 .
 This package provides the data files required by the AMD ROCm
 hipBLASLt tests. The tests are only used to check whether hipBLASLt
 works correctly on a given GPU, so generally speaking, users probably
 don't need this package.
