=== debian/rules ===
#! /usr/bin/make -f
#export CC=clang-21
#export CXX=clang++-21
export CC=hipcc
export CXX=hipcc
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
export DEB_CXXFLAGS_MAINT_PREPEND = -gz
export VERBOSE=1
##export TENSILE_ROCM_ASSEMBLER_PATH = /usr/bin/clang++-21
##export TENSILE_ROCM_OFFLOAD_BUNDLER_PATH = /usr/bin/clang-offload-bundler-21
export PATH:=/usr/lib/llvm-21/bin:$(PATH)
#export AMD_LOG_LEVEL=4
#--merge-architectures --no-lazy-library-loading
##DEBUG_FLAGS=-DCMAKE_FIND_DEBUG_MODE=ON
#DEBUG_FLAGS=

CXXFLAGS := $(subst -fstack-protector-strong,-Xarch_host -fstack-protector-strong,$(CXXFLAGS))
CXXFLAGS := $(subst -fcf-protection,-Xarch_host -fcf-protection,$(CXXFLAGS))

CMAKE_FLAGS = \
	-DCMAKE_BUILD_TYPE=Release \
	-DHIPBLASLT_ENABLE_MARKER=OFF \
	-DVIRTUALENV_BIN_DIR=/usr/bin \
	-DVIRTUALENV_PYTHON_EXENAME=python3 \
	-DCMAKE_C_COMPILER=hipcc \
	-DCMAKE_CXX_COMPILER=hipcc

# Tensile Flags
CMAKE_FLAGS += \
	-DTensile_COMPILER=clang++ \
	-DTensile_SKIP_EXTOP=ON

CMAKE_FLAGS_DISABLED += \
	-DTensile_TEST_LOCAL_PATH="../tensilelite" \
	-DTensile_ROOT="$(CURDIR)/tensilelite/Tensile" \
	-DTensile_LOGIC=asm_full \
	-DTensile_LAZY_LIBRARY_LOADING=OFF \
	-DTensile_SEPARATE_ARCHITECTURES=OFF

# Flags to activate patch
CMAKE_FLAGS += \
	-DUSE_SYSTEM_NANOBIND=ON

# Reduced set 
# GPUFLAG=-DAMDGPU_TARGETS="gfx90a:xnack-"
# GPUFLAG=-DAMDGPU_TARGETS="gfx1102"
# GPUFLAG=-DAMDGPU_TARGETS="gfx90a;gfx1102"
# KO GPUFLAG=-DAMDGPU_TARGETS="gfx11-generic"
# KO GPUFLAG=-DAMDGPU_TARGETS="gfx942"
# KO GPUFLAG=-DAMDGPU_TARGETS="gfx950"
# Default set
# KO GPUFLAG=-DAMDGPU_TARGETS="gfx908:xnack+;gfx908:xnack-;gfx90a:xnack+;gfx90a:xnack-;gfx942;gfx950;gfx1100;gfx1101;gfx1103;gfx1150;gfx1151;gfx1200;gfx1201"
# Working set (2024/11)
GPUFLAG=-DAMDGPU_TARGETS="gfx908:xnack+;gfx908:xnack-;gfx90a:xnack+;gfx90a:xnack-;gfx1100;gfx1101;gfx1102;gfx1200;gfx1201"

CMAKE_FLAGS += \
	-DCMAKE_SKIP_INSTALL_RPATH=ON \
	-DROCM_SYMLINK_LIBS=OFF \
	-DBUILD_FILE_REORG_BACKWARD_COMPATIBILITY=OFF \
	$(GPUFLAG) \
        -DHIPBLASLT_TENSILE_LIBRARY_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/hipblaslt/1.0.0 \
	$(DEBUG_FLAGS)

# Not sure this is mandatory
CMAKE_FLAGS += \
	 -DBUILD_FORTRAN_CLIENTS=ON \
	 -DLINK_BLIS=OFF

# From TheRock build/logs/hipBLASLt_configure.log
CMAKE_FLAGS += \
	-DHIP_PLATFORM=$(shell hipconfig --platform)

# rocRoller not packaged yet
CMAKE_FLAGS += \
	-DHIPBLASLT_ENABLE_ROCROLLER=OFF \
	-DHIPBLASLT_USE_ROCROLLER=OFF

# blis/tests FLAGS
CMAKE_FLAGS += \
	-DHIPBLASLT_ENABLE_BLIS=OFF \
	-DTENSILELITE_BUILD_TESTING=OFF \
	-DHIPBLASLT_BUILD_TESTING=ON

# unused but must be set for gen_assembly.sh
#CMAKE_FLAGS += \
#        -DVIRTUALENV_HOME_DIR=x

# To fix error in /usr/include/hip/hip_bfloat16.h
CMAKE_FLAGS += \
	-DCMAKE_CXX_FLAGS="-D__HIP_PLATFORM_AMD__=1 -D__HIP_HCC_COMPAT_MODE__=1" \
	-DCMAKE_CXX_COMPILER=/usr/bin/hipcc \
	-DCMAKE_CXX_FLAGS="-D__HIP_PLATFORM_AMD__=1"

ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
CMAKE_FLAGS += \
	-DBUILD_CLIENTS_TESTS=ON \
	-DBUILD_CLIENTS_BENCHMARKS=ON \
	-DCMAKE_CXX_FLAGS="-I/usr/src/googletest/googlemock/include" \
	-DCMAKE_C_FLAGS="-I/usr/src/googletest/googlemock/include"
endif

%:
	dh $@ -Scmake

override_dh_auto_configure-arch:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_strip-arch:
	dh_strip --exclude=.hsaco --exclude=.co --no-automatic-dbgsym

override_dh_dwz-arch:

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e \
	; if [ -r /dev/kfd ] \
	; then obj-$(DEB_HOST_MULTIARCH)/clients/staging/hipblas-test \
	    --gtest_filter="-*known_bug*" \
	; else echo "W: /dev/kfd unreadable: no available AMD GPU." \
	;      echo "W: tests skipped." \
	; fi
endif

execute_before_dh_install-arch:

override_dh_auto_configure-indep:

override_dh_auto_build-indep:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	python3 clients/common/hipblaslt_gentest.py -I clients/include clients/gtest/hipblaslt_gtest.yaml -o hipblaslt_gtest.data
endif

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	rocm-docs-build
	rm -rf build/html/_static/fonts
	rm -rf build/html/_static/vendor
	find build/html -name data-type-support.html \
		-exec perl -ni -e 'print unless /cdn\.jsdelivr\.net/' {} \;
	find build/html -name what-is-hipBLASLt.html \
		-exec perl -ni -e 'print unless /cdn\.jsdelivr\.net/' {} \;
	# Remove build path in some html files
	find build/html -type f -name '*.html' -exec sed -i 's|$(CURDIR)/||g' {} +
endif

override_dh_auto_test-indep:

override_dh_auto_install-indep:

LIB=libhipblaslt1
LIBV=7.0.2+dfsg
REV=1~exp1
gensymbols:
	dpkg-deb -x ../$(LIB)_$(LIBV)-$(REV)_amd64.deb /tmp/$(LIB)
	dpkg-gensymbols -v$(LIBV) -p$(LIB) -P/tmp/$(LIB) -Odebian/$(LIB).symbols
