=== debian/watch ===
Version: 5

Source: https://github.com/rocm/hipblaslt/tags
Matching-Pattern: (?:.*?/)?rocm-@ANY_VERSION@\.tar\.gz
Dversionmangle: s/\+dfsg//
Filenamemangle: s%.*/rocm-@ANY_VERSION@%hipblaslt-$1%
Oversionmangle: s/(.*)/$1+dfsg/
