## hipblaslt 7.1.0+dfsg

=== debian/changelog ===
hipblaslt (7.1.0+dfsg-2) unstable; urgency=medium

  * Add blis and tensilelite tests
  * Enable gfx1102
  * Add debian tests
  * Add libhipblaslt1-bench package

 -- Christian Bayle <bayle@debian.org>  Wed, 19 Nov 2025 02:25:14 +0100

hipblaslt (7.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version 7.1.0+dfsg
  * Patch rebasing
  * Add origami component with MUT in debian watch file
  * Don't use hipcc since it generates unproper host mode option
  --driver-mode=g++ conflicting with -target amdgcn-amdhsa
  * Update symbols file
  * Add symlink and proper place for test datas
  * Complete information about origami component license
  * Add salsa-ci config

 -- Christian Bayle <bayle@debian.org>  Tue, 11 Nov 2025 01:24:54 +0100
