=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
            Cordell Bloor <cgmb@slerp.xyz>,
            Christian Bayle <bayle@debian.org>,
 Build-Depends: debhelper-compat (= 13),
- cmake (>=4.1.2~),
- cmake-data (>=4.1.2~),
+ cmake (>=4.1~),
+ cmake-data (>=4.1~),
  gfortran,
  python3-all,
  python3-dev,
@@ -20,18 +20,20 @@
  python3-joblib,
  python3-msgpack,
  python3-yaml,
- hipcc (>=6.4.0~),
+ hipcc (>=7.0~),
  rocm-cmake (>=6.4.0~),
- liblapack64-dev,
+ liblapack-dev,
  libamd-comgr-dev,
  libhsa-runtime-dev (>=6.4.0~),
  libmsgpack-cxx-dev,
  libblas-dev <!nocheck>,
- libhipblas-dev,
  libhipblas-common-dev (>=6.4.0~),
  libgtest-dev <!nocheck>,
  googletest <!nocheck>,
- libblis64-openmp-dev,
+# libblis64-openmp-dev,
+  libblis-dev,
+# libblis-openmp-dev,
+  libboost-all-dev,
  librocblas-dev (>=6.4.0~),
  python3-packaging,
  python3-simplejson,
@@ -41,10 +43,13 @@
  python3-nanobind,
  nanobind-dev,
  ninja-build,
- clang-tools,
  rocm-smi,
  libdrm-dev,
  pkg-rocm-tools,
+ liboam-dev,
+ libomp-21-dev,
+ ccache,
+ python3-yappi,
 Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
  python3-rocm-docs (>= 1.20.0-1~) <!nodoc>,
  libjs-mathjax <!nodoc>,
@@ -114,7 +119,8 @@
 Section: libdevel
 Architecture: amd64 arm64 ppc64el
 Depends: libhipblaslt1 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends},
-         libhipblaslt1-tests-data
+         libhipblaslt1-tests-data,
+         python3:any,
 Build-Profiles: <!nocheck>
 Description: ROCm library for extended general matrix-matrix operations - tests
  hipBLASLt is a library for general matrix-matrix operations that extends
@@ -125,7 +131,7 @@
  .
  The hipBLASLt library helps users port code using cuBLASLt to the AMD
  ROCm platform. It is used by PyTorch for accelerating operations on
- MI200 and MI300 GPU hardware.
+ GPU hardware.
  .
  This package provides the AMD ROCm hipBLASLt test binaries used for
  verifying that the library is functioning correctly. These binaries
@@ -146,9 +152,28 @@
  .
  The hipBLASLt library helps users port code using cuBLASLt to the AMD
  ROCm platform. It is used by PyTorch for accelerating operations on
- MI200 and MI300 GPU hardware.
+ GPU hardware.
  .
  This package provides the data files required by the AMD ROCm
  hipBLASLt tests. The tests are only used to check whether hipBLASLt
  works correctly on a given GPU, so generally speaking, users probably
  don't need this package.
+
+Package: libhipblaslt1-bench
+Section: libdevel
+Architecture: amd64 arm64 ppc64el
+Depends: libhipblaslt1 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends}
+Build-Profiles: <!nocheck>
+Description: ROCm library for extended general matrix-matrix operations - benchmark
+ hipBLASLt is a library for general matrix-matrix operations that extends
+ the traditional BLAS interface to support more options controlling data
+ layout, data types, and algorithm selection. The hipBLASLt library is
+ implemented in the HIP programming language and is supplemented by tuned
+ assembly kernels.
+ .
+ The hipBLASLt library helps users port code using cuBLASLt to the AMD
+ ROCm platform. It is used by PyTorch for accelerating operations on
+ GPU hardware.
+ .
+ This package provides the AMD ROCm hipBLASLt benchmark client used for
+ gathering performance data about library functions.
