=== debian/tests/control ===
Test-Command: rocm-test-launcher /usr/libexec/rocm/libhipblaslt1-tests/run-tests
Features: test-name=hipblaslt1-tests
Depends: pkg-rocm-tools, libhipblaslt1-tests, clang-tools-21, libhipblaslt1-tests-data, rocminfo
Restrictions: skippable, allow-stderr
Architecture: amd64
