=== debian/watch ===
--- 
+++ 
@@ -5,3 +5,10 @@
 Dversionmangle: s/\+dfsg//
 Filenamemangle: s%.*/rocm-@ANY_VERSION@%hipblaslt-$1%
 Oversionmangle: s/(.*)/$1+dfsg/
+
+Component: origami
+Source: https://github.com/rocm/rocm-libraries/tags
+Matching-Pattern: (?:.*?/)?rocm-@ANY_VERSION@\.tar\.gz
+Dversionmangle: s/\+dfsg//
+Filenamemangle: s%.*/rocm-@ANY_VERSION@%origami-$1%
+Oversionmangle: s/(.*)/$1+dfsg/
