## hipblaslt 7.1.1%2Bdfsg

=== debian/changelog ===
hipblaslt (7.1.1+dfsg-3) unstable; urgency=medium

  * Fix README.source

 -- Christian Bayle <bayle@debian.org>  Wed, 17 Dec 2025 03:32:21 +0100

hipblaslt (7.1.1+dfsg-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Add missing Vcs fields

  [ Christian Bayle ]
  * Add gbp.conf with component
  * Fix origami path
  * Remove symbols file
  * Remove upstream unsupported arch
  * Let rocm-docs-build manage links
  * make use of ROCM_TARGET_ARCH_FIXED
  * Apply wrap-and-sort -vast
  * Add README.source

 -- Christian Bayle <bayle@debian.org>  Wed, 17 Dec 2025 00:35:51 +0100

hipblaslt (7.1.1+dfsg-1) unstable; urgency=medium

  * Update watch and copyright to use upstream provided origami tarball
  * New upstream version 7.1.1+dfsg

 -- Christian Bayle <bayle@debian.org>  Thu, 27 Nov 2025 19:57:57 +0100
