## hipblaslt 7.1.1+dfsg

=== debian/changelog ===
hipblaslt (7.1.1+dfsg-3ubuntu1) resolute; urgency=medium

  * d/control: update maintainer field
  * d/control: update build-depends for ROCm v7.1 (LP: #2140995)
  * d/p/0013-fix-arm64-immintrin-include.patch: New patch for arm64

 -- Igor Luppi <igor.luppi@canonical.com>  Thu, 05 Feb 2026 10:26:50 -0300
