=== debian/control ===
--- 
+++ 
@@ -3,66 +3,70 @@
 Homepage: https://github.com/ROCm/hipBLASLt
 Priority: optional
 Standards-Version: 4.7.2
-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
-Uploaders: Kari Pahula <kaol@debian.org>,
-           Cordell Bloor <cgmb@slerp.xyz>,
-           Christian Bayle <bayle@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
+Uploaders:
+ Kari Pahula <kaol@debian.org>,
+ Cordell Bloor <cgmb@slerp.xyz>,
+ Christian Bayle <bayle@debian.org>,
 Build-Depends: debhelper-compat (= 13),
- cmake (>=4.1~),
- cmake-data (>=4.1~),
- gfortran,
- python3-all,
- python3-dev,
- python3-venv,
- python3-setuptools,
- git,
- librocm-smi-dev,
- python3-joblib,
- python3-msgpack,
- python3-yaml,
- hipcc (>=7.0~),
- rocm-cmake (>=6.4.0~),
- liblapack-dev,
- libamd-comgr-dev,
- libhsa-runtime-dev (>=6.4.0~),
- libmsgpack-cxx-dev,
- libblas-dev <!nocheck>,
- libhipblas-common-dev (>=6.4.0~),
- libgtest-dev <!nocheck>,
- googletest <!nocheck>,
-# libblis64-openmp-dev,
-  libblis-dev,
-# libblis-openmp-dev,
-  libboost-all-dev,
- librocblas-dev (>=6.4.0~),
- python3-packaging,
- python3-simplejson,
- python3-ujson,
- python3-orjson,
- python3-distro,
- python3-nanobind,
- nanobind-dev,
- ninja-build,
- rocm-smi,
- libdrm-dev,
- pkg-rocm-tools,
- liboam-dev,
- libomp-21-dev,
- ccache,
- python3-yappi,
+               ccache,
+               cmake (>=4.1~),
+               cmake-data (>=4.1~),
+               gfortran,
+               git,
+               googletest <!nocheck>,
+               hipcc (>=7.1.0~),
+               libamd-comgr-dev (>=7.1.0~),
+               libblas-dev <!nocheck>,
+               libblis-dev,
+               libboost-all-dev,
+               libdrm-dev,
+               libgtest-dev <!nocheck>,
+               libhipblas-common-dev (>=7.1.0~),
+               libhsa-runtime-dev (>=7.1.0~),
+               liblapack-dev,
+               libmsgpack-cxx-dev,
+               liboam-dev,
+               libomp-21-dev,
+               librocblas-dev (>=7.1.0~),
+               librocm-smi-dev (>=7.1.0~),
+               nanobind-dev,
+               ninja-build,
+               pkg-rocm-tools (>=0.9.5~),
+               python3-all,
+               python3-dev,
+               python3-distro,
+               python3-joblib,
+               python3-msgpack,
+               python3-nanobind,
+               python3-orjson,
+               python3-packaging,
+               python3-setuptools,
+               python3-simplejson,
+               python3-ujson,
+               python3-venv,
+               python3-yaml,
+               python3-yappi,
+               rocm-cmake (>=7.1.0~),
+               rocm-smi (>=7.1.0~),
 Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
- python3-rocm-docs (>= 1.20.0-1~) <!nodoc>,
- libjs-mathjax <!nodoc>,
- libjs-jquery <!nodoc>,
- python3-doxysphinx <!nodoc>,
- python3-sphinx-external-toc <!nodoc>,
+                     libjs-jquery <!nodoc>,
+                     libjs-mathjax <!nodoc>,
+                     python3-doxysphinx <!nodoc>,
+                     python3-rocm-docs (>= 1.20.0-1~) <!nodoc>,
+                     python3-sphinx-external-toc <!nodoc>,
 Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/rocm-team/hipblaslt
+Vcs-Git: https://salsa.debian.org/rocm-team/hipblaslt.git
 
 Package: libhipblaslt1
 Section: libs
-Architecture: amd64 arm64 ppc64el
+Architecture: amd64 arm64
 XB-X-ROCm-GPU-Architecture: ${rocm:GPU-Architecture}
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: ROCm library for extended general matrix-matrix operations - library
  hipBLASLt is a library for general matrix-matrix operations that extends
  the traditional BLAS interface to support more options controlling data
@@ -81,10 +85,11 @@
 Architecture: all
 Multi-Arch: foreign
 Build-Profiles: <!nodoc>
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
-         libjs-mathjax,
-         libjs-jquery,
+Depends:
+ libjs-jquery,
+ libjs-mathjax,
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: ROCm library for extended general matrix-matrix operations - doc
  hipBLASLt is a library for general matrix-matrix operations that extends
  the traditional BLAS interface to support more options controlling data
@@ -100,8 +105,12 @@
 
 Package: libhipblaslt-dev
 Section: libdevel
-Architecture: amd64 arm64 ppc64el
-Depends: libhipblaslt1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, libamdhip64-dev
+Architecture: amd64 arm64
+Depends:
+ libamdhip64-dev,
+ libhipblaslt1 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: ROCm library for extended general matrix-matrix operations - headers
  hipBLASLt is a library for general matrix-matrix operations that extends
  the traditional BLAS interface to support more options controlling data
@@ -117,10 +126,13 @@
 
 Package: libhipblaslt1-tests
 Section: libdevel
-Architecture: amd64 arm64 ppc64el
-Depends: libhipblaslt1 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends},
-         libhipblaslt1-tests-data,
-         python3:any,
+Architecture: amd64 arm64
+Depends:
+ libhipblaslt1 (= ${binary:Version}),
+ libhipblaslt1-tests-data,
+ python3:any,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Build-Profiles: <!nocheck>
 Description: ROCm library for extended general matrix-matrix operations - tests
  hipBLASLt is a library for general matrix-matrix operations that extends
@@ -141,7 +153,8 @@
 Package: libhipblaslt1-tests-data
 Section: libdevel
 Architecture: all
-Depends: ${misc:Depends},
+Depends:
+ ${misc:Depends},
 Build-Profiles: <!nocheck>
 Description: ROCm library for extended general matrix-matrix operations - test data
  hipBLASLt is a library for general matrix-matrix operations that extends
@@ -161,8 +174,11 @@
 
 Package: libhipblaslt1-bench
 Section: libdevel
-Architecture: amd64 arm64 ppc64el
-Depends: libhipblaslt1 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends}
+Architecture: amd64 arm64
+Depends:
+ libhipblaslt1 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Build-Profiles: <!nocheck>
 Description: ROCm library for extended general matrix-matrix operations - benchmark
  hipBLASLt is a library for general matrix-matrix operations that extends
