=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/ROCm/rocm-libraries/releases?per_page=50
Matching-Pattern: https://github.com/ROCm/rocm-libraries/releases/download/rocm-@ANY_VERSION@/hipblaslt\.tar\.gz
Dversionmangle: s/\+dfsg//
Filenamemangle: s%.*/rocm-@ANY_VERSION@/hipblaslt%hipblaslt-$1%
Oversionmangle: s/(.*)/$1+dfsg/
Search-Mode: plain
Compression: xz

Component: origami
Source: https://api.github.com/repos/ROCm/rocm-libraries/releases?per_page=50
Matching-Pattern: https://github.com/ROCm/rocm-libraries/releases/download/rocm-@ANY_VERSION@/origami\.tar\.gz
Dversionmangle: s/\+dfsg//
Filenamemangle: s%.*/rocm-@ANY_VERSION@/origami%origami-$1%
Oversionmangle: s/(.*)/$1+dfsg/
Search-Mode: plain
Compression: xz
